FROM scratch

COPY bundle/manifests/ /manifests
COPY bundle/metadata/ /metadata

# Metadata labels
LABEL operators.operatorframework.io.bundle.mediatype.v1=registry+v1
LABEL operators.operatorframework.io.bundle.manifests.v1=manifests/
LABEL operators.operatorframework.io.bundle.metadata.v1=metadata/
LABEL operators.operatorframework.io.bundle.package.v1=odf-multicluster-orchestrator
LABEL operators.operatorframework.io.bundle.channels.v1="stable-4.9"
#LABEL operators.operatorframework.io.bundle.channel.default.v1=stable-4.9

# Operator bundle metadata
LABEL com.redhat.delivery.operator.bundle=true
LABEL com.redhat.openshift.versions="v4.9-v4.10"
LABEL com.redhat.delivery.backport=false

# Standard Red Hat labels
LABEL com.redhat.component="odf-multicluster-operator-bundle-container"
LABEL name="odf4/odf-multicluster-operator-bundle"
LABEL version="v4.9.3"
LABEL release="2"
LABEL summary="OLM Metadata for the ODF Multicluster Orchestrator"
LABEL io.k8s.display-name="odf-multicluster-operator-bundle"
LABEL maintainer="Boris Ranto <branto@redhat.com>"
LABEL description="OLM Metadata for the ODF Multicluster Orchestrator"
LABEL io.openshift.tags="odf"
LABEL odf.tags="v4.9"
